vector File Reference

Go to the source code of this file.

## Namespaces

namespace | std

## Macros

#define | __cpp_lib_erase_if
#define | _GLIBCXX_VECTOR

## Typedefs

template<typename _Tp>
using | std::pmr::vector

## Functions

template<typename _Tp, typename _Alloc, typename _Up>
constexpr vector< _Tp, _Alloc >::size_type | std::erase (vector< _Tp, _Alloc > &__cont, const _Up &__value)
template<typename _Tp, typename _Alloc, typename _Predicate>
constexpr vector< _Tp, _Alloc >::size_type | std::erase_if (vector< _Tp, _Alloc > &__cont, _Predicate __pred)

## Detailed Description

This is a Standard C++ Library header.

Definition in file vector.

## Macro Definition Documentation

## __cpp_lib_erase_if

#define __cpp_lib_erase_if

Definition at line 102 of file vector.

## _GLIBCXX_VECTOR

#define _GLIBCXX_VECTOR

Definition at line 56 of file vector.

## Typedef Documentation

## vector

template<typename _Tp>

using std::pmr::vector

Definition at line 84 of file vector.